/*******************************************************************
 *
 *	File:		EMameGlobal.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2001, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __EMAME_GLOABL_H
#define __EMAME_GLOABL_H

extern "C"
{
#include "driver.h"
}

#include <w32std.h>

const TInt KOptionsFileVersion1 = 1;

class TGameOptions
{
public:
	enum TGameSize
	{
		EGameSizeNormal = 0,
		EGameSizeFitScreen
	};

	TGameSize		iGameSize;
	TBool			iSoundEnabled;
};

void RunGame(TInt aGame, const TGameOptions& aGameOptions, TInt aAppWindowGroupId);
TBool ForcedExitFromFrontEnd();
void SetForcedExitFromFrontEnd(TBool aForcedExitFromFrontEnd);
const TGameOptions& GameOptions();

enum
{
	EMameShuttingDown = EEventUser + 1
};


#endif			/* __EMAME_GLOABL_H */
