/*******************************************************************
 *
 *	File:		Audio.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2001, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __AUDIO_H
#define __AUDIO_H

#include <Mda\Client\Resource.h>
#include <Mda\Client\Utility.h>
#include <Mda\Common\Audio.h>
#include <MdaAudioOutputStream.h>

#include <e32base.h>
#include <w32std.h>


//const TInt KPcmSampleRate = 8000;

const TInt KMaxSoundBuffers = 8;

class CGameAudio : public CBase, public MMdaAudioOutputStreamCallback
{
public:
	static CGameAudio* NewL(TBool aStereo);
	~CGameAudio();
	void Destruct();
	TInt Write(TInt16* aBuffer, TInt aSize);

protected:
	CGameAudio(TBool aStereo);
	void ConstructL();
	TBool	iStereo;
protected:
	virtual void MaoscOpenComplete(TInt aError);
	virtual void MaoscBufferCopied(TInt aError, const TDesC8& aBuffer);
	virtual void MaoscPlayComplete(TInt aError);

	CMdaAudioOutputStream	*iMdaAudioOutputStream;
	TMdaAudioDataSettings	iMdaAudioDataSettings;

	TBool					iIsOpen;
	TBool					iHasCopied;
	void					WaitForOpenToCompleteL();
	void					WaitForCopyToCompleteL();

//	TUint16					iSoundBuffer0[KPcmSampleRate/2];
//	TUint16					iSoundBuffer1[KPcmSampleRate/2];
	TUint16*				iSoundBuffers[KMaxSoundBuffers];

	TUint16*				iCurrentPosition;
	TInt					iCurrentBuffer;
	TInt					iFrameCount;

};


#endif			/* __AUDIO_H */
